QScintilla: QsciPrinter Class Reference

# QsciPrinter Class Reference

The QsciPrinter class is a sub-class of the Qt QPrinter class that is able to print the text of a Scintilla document. More...

`#include <qsciprinter.h>`

List of all members.

## Public Member Functions

- QsciPrinter (PrinterMode mode=ScreenResolution)
- virtual ~QsciPrinter ()
- virtual void formatPage (QPainter &painter, bool drawing, QRect &area, int pagenr)
- int magnification () const
- virtual void setMagnification (int magnification)
- virtual int printRange (QsciScintillaBase *qsb, int from=-1, int to=-1)
- QsciScintilla::WrapMode wrapMode () const
- virtual void setWrapMode (QsciScintilla::WrapMode wmode)

## Detailed Description

The QsciPrinter class is a sub-class of the Qt QPrinter class that is able to print the text of a Scintilla document.

The class can be further sub-classed to alter to layout of the text, adding headers and footers for example.

## Member Function Documentation

virtual void QsciPrinter::formatPage | ( | QPainter & | painter,
|  | bool | drawing,
|  | QRect & | area,
|  | int | pagenr |
| ) |  |  | `[virtual]`

Format a page, by adding headers and footers for example, before the document text is drawn on it. painter is the painter to be used to add customised text and graphics. drawing is true if the page is actually being drawn rather than being sized. painter drawing methods must only be called when drawing is true. area is the area of the page that will be used to draw the text. This should be modified if it is necessary to reserve space for any customised text or graphics. By default the area is relative to the printable area of the page. Use QPrinter::setFullPage() because calling printRange() if you want to try and print over the whole page. pagenr is the number of the page. The first page is numbered 1.

int QsciPrinter::magnification | ( |  | ) | const`[inline]`

Return the number of points to add to each font when printing.

See also:
  setMagnification()

virtual void QsciPrinter::setMagnification | ( | int | magnification | ) | `[virtual]`

Sets the number of points to add to each font when printing to magnification.

See also:
  magnification()

virtual int QsciPrinter::printRange | ( | QsciScintillaBase * | qsb,
|  | int | from = `-1`,
|  | int | to = `-1` |
| ) |  |  | `[virtual]`

Print a range of lines from the Scintilla instance qsb. from is the first line to print and a negative value signifies the first line of text. to is the last line to print and a negative value signifies the last line of text. true is returned if there was no error.

QsciScintilla::WrapMode QsciPrinter::wrapMode | ( |  | ) | const`[inline]`

Return the line wrap mode used when printing. The default is QsciScintilla::WrapWord.

See also:
  setWrapMode()

virtual void QsciPrinter::setWrapMode | ( | QsciScintilla::WrapMode | wmode | ) | `[virtual]`

Sets the line wrap mode used when printing to wmode.

See also:
  wrapMode()